FADE_DURATION = 0.25;

function fade(e, mode) {
  var elt = Event.element(e);
  if ('LI' != elt.tagName)
    return;
  Event.stop(e);
  elt = $(elt);
  var url = elt.getStyle('backgroundImage').replace(/_bw/, '');
  if ('bw' == mode)
    url = url.replace(/\.png/, '_bw.png');
  // START:queue
  var queue = { scope: elt.id.split('_')[1], position: 'end' };
  elt.visualEffect('Opacity', { to: 0.1, duration: FADE_DURATION, queue: queue });
  new Effect.Event({ queue: queue, afterFinish: function() {
    elt.setStyle({backgroundImage: url}, true);
  }});
  elt.visualEffect('Opacity', { from: 0.1, to: 1, duration: FADE_DURATION, queue: queue });
  // END:queue
} // fade

Event.observe(window, 'load', function() {
  var list = $('topics');
  list.observe('mouseover', fade.bindAsEventListener(this, 'bw'));
  list.observe('mouseout', fade.bindAsEventListener(this, 'color'));
});
