Effect.Wave = Class.create();
Object.extend(Object.extend(Effect.Wave.prototype, Effect.Base.prototype), {
  initialize: function(element) {
    this.element = $(element); // <label id="code.effects.custom.extend"/>
    this.start(arguments[1] || {}); // <label id="code.effects.custom.options"/>
  },

  setup: function(){
    Effect.tagifyText(this.element); // <label id="code.effects.custom.tagify"/>
    this.chars = this.element.childElements(); // <label id="code.effects.custom.cache"/>
  },

  update: function(position) {
    var factor = position < 0.5 ? position * 2 : (1 - position) * 2;
    var topPos;
    this.chars.each(function(character, index) {
      topPos = Math.sin(position * ((index % 20) + 1)) * 30 * factor;
      character.setStyle({ top: Math.round(topPos) + 'px' }, true);
    });
  }
});
