Event.observe(window, 'load', function() {
  var callbacks = {
    onSlide: function(values, slider) {
      $('sliding').update(slider.track.id + '\s handle #' +
        slider.activeHandleIdx + ' sliding to ' +
        values[slider.activeHandleIdx]);
    },
    onChange: function(values, slider) {
      $('changed').update(slider.track.id + '\'s handle #' +
        slider.activeHandleIdx + '\'s value changed to ' +
        values[slider.activeHandleIdx]);
    }
  };
  // START:creation
  new Control.Slider(['handle1', 'handle2', 'handle3'],
    'track1', {
    range: $R(1, 11), values: $R(1, 11),
    sliderValue: [3, 6, 9],
    spans: ['range1', 'range2'], restricted: true,
    onSlide: callbacks.onSlide, onChange: callbacks.onChange
  });
  // END:creation
});
