Event.observe(window, 'load', function() {
  var callbacks = {
    onSlide: function(value, slider) {
      $('sliding').update(slider.track.id + ' sliding to ' +
        value.toFixed(3));
    },
    onChange: function(value, slider) {
      $('changed').update(slider.track.id + '\'s value changed to ' +
        value.toFixed(3));
    }
  };
  // START:slider1
  new Control.Slider('handle1', 'track1', {
    range: $R(3, 21),
    onSlide: callbacks.onSlide, onChange: callbacks.onChange
  });
  // END:slider1
  new Control.Slider('handle2', 'track2', {
    axis: 'vertical', sliderValue: 0.5,
    onSlide: callbacks.onSlide, onChange: callbacks.onChange
  });
});
